﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Infragistics.Win.UltraWinChart;
using System.Windows.Forms.Integration;
using System.Data;

namespace WpfApplication1
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
        }

        private void Window_Loaded(object sender, RoutedEventArgs e)
        {
            UltraChart ultraChart1 = new UltraChart();
            DataTable dataTable = new DataTable();
            dataTable.Columns.Add("Location", typeof(string));
            dataTable.Columns.Add("MorningTemp", typeof(int));
            dataTable.Columns.Add("AfternoonTemp", typeof(int));
            dataTable.Columns.Add("EveningTemp", typeof(int));
            dataTable.Columns.Add("NightTemp", typeof(int));
            dataTable.Rows.Add("City", 53, 85, 78, 52);
            dataTable.Rows.Add("Shore", 45, 88, 77, 42);
            dataTable.Rows.Add("Inland", 35, 54, 43, 22);
            dataTable.Rows.Add("Desert", 85, 115, 100, 66);
            dataTable.Rows.Add("Arctic", -25, -18, 0, -45);
            ultraChart1.ChartType = Infragistics.UltraChart.Shared.Styles.ChartType.HeatMapChart;
            ultraChart1.DataSource = dataTable;
            ultraChart1.DataBind();
            WindowsFormsHost host = new WindowsFormsHost();
            host.Child = ultraChart1;
            this.grid1.Children.Add(host);
        }
    }
}
